CVE-2016-1243

NameCVE-2016-1243
DescriptionStack-based buffer overflow in the extractTree function in unADF allows remote attackers to execute arbitrary code via a long pathname.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-631-1, DSA-3676-1
NVD severityhigh (attack range: remote)
Debian Bugs838248

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
unadf (PTS)wheezy0.7.11a-3vulnerable
wheezy (security)0.7.11a-3+deb7u1fixed
jessie (security), jessie0.7.11a-3+deb8u1fixed
buster, sid, stretch0.7.11a-4fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
unadfsource(unstable)0.7.11a-4high838248
unadfsourcejessie0.7.11a-3+deb8u1highDSA-3676-1
unadfsourcewheezy0.7.11a-3+deb7u1highDLA-631-1

Search for package or bug name: Reporting problems